# SPDX-FileCopyrightText: 2021 Aaron Dewes
#
# SPDX-License-Identifier: AGPL-3.0-only

# yaml-language-server: $schema=../../app-standard-v3.yml

version: 3
metadata:
  category: Wallets
  name: LnMe
  version: 1.5.1
  tagline: Receive tips over Lightning
  description: >-
    This app allows you to receive tips over Lightning.

    You can share the onion address of this app with others and they can dynamically generate an invoice using this app.

    This app also enables the Lightning Address feature on Citadel.
  developers:
    Michael Bumann: https://ln.michaelbumann.com/
  dependencies:
    - lnd
  repo: https://github.com/bumi/lnme
  support: https://github.com/bumi/lnme/issues
  gallery:
    - https://raw.githubusercontent.com/bumi/lnme/master/lnme-demo.gif
containers:
  - name: web
    image: ghcr.io/bumi/lnme:master@sha256:58416cf8c804f957fbdf4cc70b19422c8f064126225455c0b2bc3cb85725d34d
    port: 1323
    user: 1000:1000
    environment:
      LNME_LND_ADDRESS: $APP_LND_SERVICE_IP:10009
      LNME_LND_CERT_PATH: /lnd/tls.cert
      LNME_LND_MACAROON_PATH: /lnd/data/chain/bitcoin/$BITCOIN_NETWORK/invoice.macaroon
